import { PrimaryFilterOption } from 'apps/sales/src/app/modules/shelf/defs';
import { InputDTO } from '@swagger/oms';

export function inputDtoToPrimaryFilterOption(inputDTO: InputDTO): PrimaryFilterOption {
  return {
    id: inputDTO.key,
    key: inputDTO.key,
    name: inputDTO.label,
    selected: false,
    initial_selected_state: false,
  };
}
